Get OTP Request
This API endpoint enables users to initiate GST return filing by sending a request to the Signzy server. The user must provide their patron ID, Access-Token, GSTIN, and username to authenticate the request. The response will contain an OTP required to proceed with the GST filing process.
Sample cURL
curl --request POST \
--url http://signzy.tech/api/v2/patrons/..your-patron-id../gstrinitiations \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"task":"getOtp","essentials":{"gstin":"...gstin...","username":"...username..."}}'Parameter | Data Type | Required | Description |
|---|---|---|---|
patron-id | string | Yes | The ID of the patron initiating the request. |
Access-Token | string | Yes | The access token is required to authenticate the request. |
task | string | Yes | The task to be performed. In this case, it should be set to "getOtp". |
essentials | object | Yes | An object containing the essential details required to initiate the GST filing process. |
gstin | string | Yes | The GSTIN number for the user. |
username | string | Yes | The username is associated with the GSTIN number. |
Accept | string | No | Specifies the media types that are acceptable for the response. |
Accept-Language | string | No | Specifies the preferred language for the response. |
content-type | string | Yes | Specifies the media type of the request body. |
Description | - | - | The purpose of the parameter. |
Sample Response
{
"task" : "getOtp",
"essentials": {
"gstin": "..gstin..",
"username": "..username.."
},
"id": "...accessToken...",
"patronId": "...patronId...",
"result":{
"message": "..message..",
"appKey": "..appKey.."
}
}Parameter | Data Type | Required | Description |
|---|---|---|---|
task | string | Yes | The task performed. In this case, it should be "getOtp". |
essentials | object | Yes | An object containing the essential details required to initiate the GST filing process. |
gstin | string | Yes | The GSTIN number for the user. |
username | string | Yes | The username is associated with the GSTIN number. |
id | string | Yes | The access token is required to authenticate future requests. |
patronId | string | Yes | The ID of the patron initiating the request. |
result | object | Yes | An object containing the result of the request. |
message | string | Yes | A message related to the response. |
appKey | string | Yes | A unique key is required to proceed with the GST filing process. |
Description | - | - | The purpose of the parameter. |